function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState } from 'react';
import { action } from '@storybook/addon-actions';
import PaginationRouteHelper from './PaginationRouteHelper';
import docs from './Pagination.mdx';
import Pagination from './Pagination';
export default {
  title: 'Molecules / Pagination / Compact',
  parameters: {
    docs: {
      page: docs
    }
  }
};
var CompactPagination = function CompactPagination(_ref) {
  var _ref$totalItems = _ref.totalItems,
    totalItems = _ref$totalItems === void 0 ? 10 : _ref$totalItems,
    _ref$itemsPerPage = _ref.itemsPerPage,
    itemsPerPage = _ref$itemsPerPage === void 0 ? 1 : _ref$itemsPerPage;
  return React.createElement(Pagination, {
    variant: "compact",
    totalItems: totalItems,
    itemsPerPage: itemsPerPage,
    onPageChange: action('Page change')
  });
};
export var Regular = function Regular() {
  return React.createElement(CompactPagination, null);
};
var ControlledCompactPagination = function ControlledCompactPagination(_ref2) {
  var _ref2$totalItems = _ref2.totalItems,
    totalItems = _ref2$totalItems === void 0 ? 10 : _ref2$totalItems,
    _ref2$itemsPerPage = _ref2.itemsPerPage,
    itemsPerPage = _ref2$itemsPerPage === void 0 ? 1 : _ref2$itemsPerPage;
  var _useState = useState(5),
    _useState2 = _slicedToArray(_useState, 2),
    currentPage = _useState2[0],
    setCurrentPage = _useState2[1];
  var onPageChange = function onPageChange(newPage) {
    action('Page change')(newPage);
    setCurrentPage(newPage);
  };
  return React.createElement(Pagination, {
    variant: "compact",
    currentPage: currentPage,
    totalItems: totalItems,
    itemsPerPage: itemsPerPage,
    onPageChange: onPageChange
  });
};
export var ControlledPagination = function ControlledPagination() {
  return React.createElement(ControlledCompactPagination, null);
};
var LinksPaginationComponent = function LinksPaginationComponent(_ref3) {
  var _ref3$totalItems = _ref3.totalItems,
    totalItems = _ref3$totalItems === void 0 ? 10 : _ref3$totalItems,
    _ref3$itemsPerPage = _ref3.itemsPerPage,
    itemsPerPage = _ref3$itemsPerPage === void 0 ? 1 : _ref3$itemsPerPage;
  var _useState3 = useState(5),
    _useState4 = _slicedToArray(_useState3, 2),
    currentPage = _useState4[0],
    setCurrentPage = _useState4[1];
  var getPageHref = function getPageHref(pageNumber) {
    return "/".concat(pageNumber);
  };
  return React.createElement(PaginationRouteHelper, {
    currentPage: currentPage,
    setCurrentPage: setCurrentPage
  }, React.createElement(Pagination, {
    variant: "compact",
    currentPage: currentPage,
    totalItems: totalItems,
    itemsPerPage: itemsPerPage,
    getPageHref: getPageHref
  }));
};
export var LinksPagination = function LinksPagination() {
  return React.createElement(LinksPaginationComponent, null);
};